Package org.gradle.tooling

## Interface TestSpecs

-     @Incubating
      public interface TestSpecs

  Provides test selection from a specific test task.
  Since:
    7.6
  See Also:
    `TestLauncher.withTestsFor(Action)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TestSpec` | `forTaskPath​(java.lang.String taskPath)` | Creates a new test selection for the target task.

- - ### Method Detail

    - #### forTaskPath

          TestSpec forTaskPath​(java.lang.String taskPath)

      Creates a new test selection for the target task.
      Parameters:
        `taskPath` - The target task.
      Returns:
        A new test selection.